#
# $Header: /cvs/stx/stx/libview/bc.mak,v 1.20 1998-03-09 14:22:10 cg Exp $
#

TOP=..

!INCLUDE $(TOP)\rules\stdHeader_nt

X11_INCLUDE=c:\usr\X11r6
X11_LIBS=c:\usr\x11r6\lib\X11.lib c:\usr\x11r6\lib\Xext.lib

#SYS_LIBS=kernel32.lib user32.lib gdi32.lib \
#         comdlg32.lib advapi32.lib \
#         uuid.lib 

LIBNAME=libview
LIB_BASE=$(LIBVIEW_BASE)

STCLOCALOPT= -staticMethods "-package=stx:libview" $(COMMONSYMBOLS) +optspace2 $(SEPINITCODE)
STCFLAGS_WW=-H$(STX_INCDIR) -staticMethods "-package=stx:libview" $(COMMONSYMBOLS)
STCFLAGS_XW=-H$(STX_INCDIR) -staticMethods "-package=stx:libview" $(COMMONSYMBOLS)

ALL: $(LIBDIR)\$(LIBNAME).lib $(BINDIR)\$(LIBNAME).dll \
     $(LIBDIR)\WinWorkstat.lib $(BINDIR)\WinWorkstat.dll \
     $(LIBDIR)\XWorkstat.lib $(BINDIR)\XWorkstat.dll

OBJS= \
    GraphicsDevice.$(O)      \
    HostGraphicsDevice.$(O)  \
    DevWorkst.$(O)           \
    WSensor.$(O)             \
      SWSensor.$(O)          \
    Image.$(O)               \
      Depth1Image.$(O)       \
      Depth2Image.$(O)       \
      Depth4Image.$(O)       \
      Depth8Image.$(O)       \
      Depth24Image.$(O)      \
      Depth32Image.$(O)      \
    ImageMask.$(O)           \
    AlphaMask.$(O)           \
    ImageRdr.$(O)            \
	Workstat.$(O)        \
	Color.$(O)           \
	Colormap.$(O)        \
	FontDescr.$(O)       \
	  Font.$(O)          \
	Cursor.$(O)          \
	DevHandle.$(O)       \
	GC.$(O)              \
	  DevGC.$(O)         \
	  GMedium.$(O)       \
	      Form.$(O)      \
	      DSurface.$(O)  \
		SimpleView.$(O)              \
		  View.$(O)                  \
		    TopView.$(O)             \
		      StdSysV.$(O)           \
			ModalBox.$(O)        \
		      PopUpView.$(O)         \
		    ShadowV.$(O)             \
		  DRootView.$(O)             \
	Controll.$(O)        \
	WTrans.$(O)          \
	WEvent.$(O)          \
	WGroup.$(O)          \
	KeybdFwd.$(O)        \
	KeybdMap.$(O)        \
	RsrcPack.$(O)        \
	  ViewStyle.$(O)     \
	Depth16Image.$(O)

!INCLUDE $(TOP)\rules\stdRules_nt

# -----------------------------------------------------------------------

$(BINDIR)\WinWorkstat.dll: $(OUTDIR)\WinWorkstat.dll
	-copy $(OUTDIR)\WinWorkstat.dll $(BINDIR)\*.*

$(LIBDIR)\WinWorkstat.lib: $(OUTDIR)\WinWorkstat.lib
	-copy $(OUTDIR)\WinWorkstat.lib $(LIBDIR)\*.*

xlib.obj: ..\support\ntxlib\xlib.obj
	-copy ..\support\ntxlib\xlib.obj *.*

#SYS_LIBS=kernel32.lib user32.lib gdi32.lib \
#         comdlg32.lib advapi32.lib \
#         uuid.lib 

LINK32_FLAGS=\
	 $(SYS_LIBS) \
	 $(LIBRUN) \
	 /NOPACK /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
	 /PDB:"$(OUTDIR)\WinWorkstat.pdb" /DEBUG /MACHINE:I386 /DLL \
	 /BASE:$(WINWORKSTAT_BASE) /OUT:"$(OUTDIR)\WinWorkstat.dll" /DEF:WinWorkstat.def 

$(OUTDIR)\xlib.lib : $(OUTDIR) $(DEF_FILE) $(XLIB_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

$(OUTDIR)\xlib.dll : $(OUTDIR)  $(DEF_FILE) $(XLIB_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

$(OUTDIR)\WinWorkstat.lib: $(OUTDIR)\WinWorkstat.dll

$(OUTDIR)\WinWorkstat.dll : $(OUTDIR)  $(DEF_FILE) WinWorkstat.obj  $(LIBRUN)
    @echo generating WinWorkstat.dll / .lib [link] ...
    $(LINK32) @<<
  $(LINK32_FLAGS) WinWorkstat.obj 
<<

STX_INCL_WW=-I"D:\mstools" -I"D:\mstools\include" -I"$(STX_INCDIR)"
DBGFLAGS=-Yd

#WinWorkstat.obj:
#    $(STC) $(STX_INCL_WW) $(FFLAGS) $(STCFLAGS_WW) $(DBGFLAGS) $(DEFS) -c WinWorkstat.st

WW_CDEBUGFLAGS3=/Fp"$(OUTDIR)\WinWorkstat.pch" /Fd"$(OUTDIR)\WinWorkstat.pdb"

WW_CDEBUGFLAGS=$(CDEBUGFLAGS1) $(CDEBUGFLAGS2) $(WW_CDEBUGFLAGS3)

WinWorkstat.obj: WinWorkstat.st
    $(STC) $(STX_INCL_WW) $(FFLAGS) $(STCFLAGS_WW) $(DBGFLAGS) $(DEFS) -C WinWorkstat.st
    $(CC) /nologo $(STX_INCL) $(SYS_INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) $(WW_CDEBUGFLAGS) -c WinWorkstat.c


#WinWorkstat.c: WinWorkstat.st
#    $(STC) $(STX_INCL_WW) $(FFLAGS) $(STCFLAGS_WW) $(DBGFLAGS) $(WW_CDEBUGFLAGS) $(DEFS) -C WinWorkstat.st

# -----------------------------------------------------------------------

xlib: $(LIBDIR)\xlib.lib $(LIBDIR)\xlib.dll

$(BINDIR)\xlib.dll: $(OUTDIR)\xlib.dll
	-copy $(OUTDIR)\xlib.dll $(BINDIR)\*.*

$(LIBDIR)\xlib.lib: $(OUTDIR)\xlib.lib
	-copy $(OUTDIR)\xlib.lib $(LIBDIR)\*.*

# -----------------------------------------------------------------------

LINK32_FLAGS=\
	 $(SYS_LIBS) \
	 $(X11_LIBS) \
	 $(LIBRUN) \
	 /NOPACK /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
	 /PDB:"$(OUTDIR)\XWorkstat.pdb" /DEBUG /MACHINE:I386 /DLL \
	 /BASE:$(XWORKSTAT_BASE) /OUT:"$(OUTDIR)\XWorkstat.dll" /DEF:XWorkstat.def 

$(BINDIR)\XWorkstat.dll: $(OUTDIR)\XWorkstat.dll
	-copy $(OUTDIR)\XWorkstat.dll $(BINDIR)\*.*

$(LIBDIR)\XWorkstat.lib: $(OUTDIR)\XWorkstat.lib
	-copy $(OUTDIR)\XWorkstat.lib $(LIBDIR)\*.*

$(OUTDIR)\XWorkstat.lib: $(OUTDIR)\XWorkstat.dll

$(OUTDIR)\XWorkstat.dll : $(OUTDIR)  $(DEF_FILE) XWorkstat.obj  $(LIBRUN)
    @echo generating XWorkstat.dll / .lib [link] ...
    $(LINK32) @<<
    $(LINK32_FLAGS) XWorkstat.obj
<<

STX_INCL_XW=-I"D:\mstools" -I"D:\mstools\include" -I"$(STX_INCDIR)" -I"$(X11_INCLUDE)"\include
DBGFLAGS=-Yd

XW_CDEBUGFLAGS3=/Fp"$(OUTDIR)\XWorkstat.pch" /Fd"$(OUTDIR)\XWorkstat.pdb"

XW_CDEBUGFLAGS=$(CDEBUGFLAGS1) $(CDEBUGFLAGS2) $(XW_CDEBUGFLAGS3)

XWorkstat.obj: XWorkstat.st
    $(STC) $(STX_INCL_XW) $(FFLAGS) $(STCFLAGS_XW) $(DBGFLAGS) $(DEFS) -C XWorkstat.st
    $(CC) /nologo $(STX_INCL_XW) $(SYS_INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) $(XW_CDEBUGFLAGS) -c XWorkstat.c
